centos yumbackend.py linux中yum update被占用的解决办法 - Linux - 服务器之家

服务器之家

专注于服务器技术!
当前位置:首页 > 服务器系统 > Linux

centos yumbackend.py linux中yum update被占用的解决办法

发布时间:2017-04-14 来源:服务器之家

使用yum安装计划任务功能,结果提示:

# yum -y install vixie-cron
Loaded plugins: fastestmirror, refresh-packagekit, security
Existing lock /var/run/yum.pid: another copy is running as pid <font color="#ff0000">25960</font>.
Another app is currently holding the yum lock; waiting for it to exit...
可能是系统自动升级正在运行,yum在锁定状态中。
已经有一个yum进程在运行了,使用kill干掉它:

# kill -s 9 25960
# ps aux|grep yum
root 6744 0.0 0.0 103260 900 pts/1 S+ 14:59 0:00 grep yum
root 25960 0.0 0.0 0 0 ? Z Sep19 0:01 [yumBackend.py] <defunct>

很遗憾,kill对付不了它,那怎么办呢?

可以通过强制关掉yum进程:

#rm -f /var/run/yum.pid

然后就可以使用yum了。如果不行可以重启yum

/sbin/service yum-updatesd restart

以下是其它网友的补充:

补充一、

有时,在linux下yum update会提示:

Another app is currently holding the yum lock解决方案

解决办法是干掉缓存中的yum进程,重启yum。

清掉缓存中的进程:

rm -f /var/run/yum.pid

重启yum(我的系统是fedora)

systemctl status yum-updatesd.service

centos用户使用:

/sbin/service yum-updatesd restart

补充二、

在CentOS上yum -y install gcc* gcc-c++* autoconf* automake* zlib* libxml* ncurses-devel* libmcrypt* libtool*时出现错误:

 

1)怎么回事呢?根据提示,原来是系统进程已经有一个update在运行了。在进程里查看下:ps -ef | grep update

2)通过kill杀掉这个进程,可杀掉之后,错误依旧。原来在/var/run目录下,还有yum这个进程ID,需要将这个进程id文件强制删除掉:

 

3)同时重启下yum更新服务,如下:

4)最后重新yum -y install gcc* gcc-c++* autoconf* automake* zlib* libxml* ncurses-devel* libmcrypt* libtool* ,已正常